org.apache.xmlbeans.impl.config

## Class NameSet

- java.lang.Object
- - org.apache.xmlbeans.impl.config.NameSet

    public class NameSet
    extends Object

Represents a non finite set of names.

See Also:
  `NameSetBuilder`

### Field Summary

Fields
`static NameSet` `EMPTY` An empty NameSet, it doesn't contain any name
`static NameSet` `EVERYTHING` The NameSet that contains any name

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains(String name)`
`NameSet` `intersect(NameSet with)` Returns the intersection of this NameSet with the 'with' NameSet
`NameSet` `invert()` Returns an inversion of this NameSet
`NameSet` `substract(NameSet what)` Returns the result of substracting 'what' NameSet from this NameSet
`NameSet` `substractFrom(NameSet from)` Returns the result of substracting this NameSet from 'from' NameSet
`NameSet` `union(NameSet with)` Returns the union of this NameSet with the 'with' NameSet.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final NameSet EMPTY

An empty NameSet, it doesn't contain any name

#### EVERYTHING

    public static final NameSet EVERYTHING

The NameSet that contains any name

### Method Detail

#### union

    public NameSet union(NameSet with)

Returns the union of this NameSet with the 'with' NameSet.

#### intersect

    public NameSet intersect(NameSet with)

Returns the intersection of this NameSet with the 'with' NameSet

#### substractFrom

    public NameSet substractFrom(NameSet from)

Returns the result of substracting this NameSet from 'from' NameSet

See Also:
  `substract(org.apache.xmlbeans.impl.config.NameSet)`

#### substract

    public NameSet substract(NameSet what)

Returns the result of substracting 'what' NameSet from this NameSet

See Also:
  `substractFrom(org.apache.xmlbeans.impl.config.NameSet)`

#### invert

    public NameSet invert()

Returns an inversion of this NameSet

#### contains

    public boolean contains(String name)